Bug 1084899

Summary: BulkGetKeysDistTest.testBulkGetAfterLifespanExpire random failures
Product: [JBoss] JBoss Data Grid 6 Reporter: Vitalii Chepeliuk <vchepeli>
Component: TestSuiteAssignee: Tristan Tarrant <ttarrant>
Status: VERIFIED --- QA Contact: Martin Gencur <mgencur>
Severity: low Docs Contact:
Priority: low    
Version: 6.3.0CC: jdg-bugs, ttarrant, vjuranek, wburns
Target Milestone: DR4   
Target Release: 6.6.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Vitalii Chepeliuk 2014-04-07 07:49:32 UTC
See description of linked ISPN-4017

Comment 2 JBoss JIRA Server 2014-08-14 14:08:20 UTC
Galder Zamarreño <galder.zamarreno> updated the status of jira ISPN-4017 to Coding In Progress

Comment 3 Vitalii Chepeliuk 2015-03-02 10:11:21 UTC
PR: https://github.com/infinispan/jdg/pull/522

Comment 4 Vitalii Chepeliuk 2015-03-02 11:28:06 UTC
Ignore my PR above. Cant fix this issue, postpone it for now

Comment 5 William Burns 2015-08-28 18:45:12 UTC
PR: https://github.com/infinispan/jdg/pull/730

Added this as new expiration changes don't remove elements at the same time as they used to, so map reduce really has to ignore expired entries.

Comment 6 Sebastian Łaskawiec 2015-10-15 21:23:43 UTC
It looks like this issue has been missed in previous releases. Setting target milestone to DR4